Internal Notes

Add internal notes

POST
/v1/conversations/{conversationId}/notes/bulk

Create internal notes in a conversation by providing the conversation id.

Authorization

ApiKeyAuth conversation.reply
headerAuthorization<token>

Scope: conversation.reply

Path Parameters

conversationId*integer
Formatint64

Request Body

The list of internal notes to create for a conversation

application/json
  1. body
data?array<>

Response Body

The created internal notes

application/json
  1. response
data?array<|>
Example Request
curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/notes/bulk' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "data": [    {      "message": "A sample note",      "agentId": "a53b25da-f676-4c52-acac-58c9280aa23d",      "createdAt": "2021-12-01T12:46:36.581Z[GMT]"    },    {      "message": "Another sample note"    }  ]}'
{
"data": [
{
"data": {
"id": "eb31acbb-13f9-4ce7-abd3-44dd86266741",
"authorId": "5e8a300e-787e-47cd-af53-fc1ccc37933d",
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"csid": 9456,
"message": "A sample note"
},
"_type": "BulkActionSuccess"
},
{
"error": {
"message": "An agent with id:... cannot be found in org."
},
"_type": "BulkActionFailure"
}
]
}

List internal notes

GET
/v1/conversations/{conversationId}/notes

Get all internal notes for a particular conversation by providing the conversation id.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

conversationId*integer
Formatint64

Response Body

List of internal notes for a conversation sorted from oldest to newest

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/notes' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "3346b99c-8128-4276-ac40-5f30c959e5e7",
"authorId": "c68f42a5-1453-497a-940f-ff36ed4f1631",
"createdAt": "2021-01-20T09:00:00Z",
"csid": 7392,
"message": "A note to remember"
},
{
"id": "22b8e6b6-4576-4dc0-ab05-60f81e8b0708",
"authorId": "124d54bb-92d6-41c9-a675-788d6a8c821e",
"createdAt": "2021-01-22T12:00:00Z",
"csid": 7392,
"message": "A note to forget"
}
]
}

Add internal note

POST
/v1/conversations/{conversationId}/notes

Create an internal note in a conversation by providing the conversation id.

Authorization

ApiKeyAuth conversation.reply
headerAuthorization<token>

Scope: conversation.reply

Path Parameters

conversationId*integer
Formatint64

Request Body

The internal note to create for a conversation

application/json
  1. body
message*string
agentId?string
Formatuuid
createdAt?string
Formatdate-time

Response Body

The created internal note

application/json
  1. response
data*
curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/notes' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "message": "A sample note",  "agentId": "a53b25da-f676-4c52-acac-58c9280aa23d",  "createdAt": "2021-12-01T12:46:36.581Z[GMT]"}'
{
"data": {
"id": "eb31acbb-13f9-4ce7-abd3-44dd86266741",
"authorId": "5e8a300e-787e-47cd-af53-fc1ccc37933d",
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"csid": 9456,
"message": "A sample note"
}
}